
QGIS Application - Bug report #19856

crash when viewing 3d citygml

2018-09-17 02:03 AM - kian wee chen

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.2.1 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27680

Description

I imported citygml into qgis. However, when I enable 3d view my qgis crashes.

User Feedback

Report Details

Crash ID: 40e66737578440d0e4a40fa8545b665a86f88731

Stack Trace

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

RegisterProcTableCallback :

DrvGetLayerPaletteEntries :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-17 09:11 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High
- Crashes QGIS or corrupts data changed from No to Yes

any link for downloading this gml?

#2 - 2018-09-19 10:10 PM - kian wee chen

- File example1.gml added

#3 - 2018-09-19 10:15 PM - Giovanni Manghi

Giovanni Manghi wrote:

any link for downloading this gml?

is that real data or is just random stuff? what is the CRS? I cannot project the data over anything that make sense.

#4 - 2018-09-19 10:22 PM - kian wee chen

- File Capture.PNG added

it is random data, you can use the PCS svy21 epsg 3414, I tried this data on qgis 3.3.2 on another computer, and it doesnt crash qgis.

#5 - 2018-09-20 12:51 PM - Giovanni Manghi

no crash here on 3.2.3 on Linux-

#6 - 2018-09-20 03:25 PM - kian wee chen

ya i tried it on 3.3.2 on windows and it worked. So I guess its fixed.

#7 - 2018-09-20 09:27 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

example1.gml 4.07 MB 2018-09-19 kian wee chen

Capture.PNG 260 KB 2018-09-19 kian wee chen
